> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a one-shot test delivery

> Sends a single test payload to the webhook subscription URL to verify connectivity. The response reports whether the attempt succeeded along with the returned HTTP status code or error, if any.



## OpenAPI

````yaml /api-reference/webhooks.yaml post /webhooks/{id}/test
openapi: 3.1.0
info:
  title: Webhooks
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /webhooks/{id}/test:
    post:
      tags:
        - Webhooks
      summary: Send a one-shot test delivery
      description: >-
        Sends a single test payload to the webhook subscription URL to verify
        connectivity. The response reports whether the attempt succeeded along
        with the returned HTTP status code or error, if any.
      operationId: testWebhook
      parameters:
        - in: path
          name: id
          required: true
          schema:
            example: 550e8400-e29b-41d4-a716-446655440000
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      error:
                        type:
                          - string
                          - 'null'
                      statusCode:
                        type:
                          - number
                          - 'null'
                      success:
                        type: boolean
                    required:
                      - success
                      - statusCode
                      - error
                    type: object
                required:
                  - data
                type: object
          description: Test delivery result
        '401':
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                required:
                  - error
                type: object
          description: Not Found
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Mobilerun from '@mobilerun/sdk';


            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.webhooks.testDelivery('550e8400-e29b-41d4-a716-446655440000');


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            response = client.webhooks.test_delivery(
                "550e8400-e29b-41d4-a716-446655440000",
            )
            print(response.data)
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.